# Clutter::Vertex Class Reference

List of all members.

## Public Member Functions

| Vertex ()
| Vertex (const ClutterVertex* gobject)
ClutterVertex* | gobj ()
| Provides access to the underlying C instance.
const ClutterVertex* | gobj () const
| Provides access to the underlying C instance.
| Vertex (float x, float y, float z=0)
float | get_x () const
void | set_x (const float&value)
float | get_y () const
void | set_y (const float&value)
float | get_z () const
void | set_z (const float&value)

## Protected Attributes

ClutterVertex | gobject_

## Related Functions

(Note that these are not member functions.)
Clutter::Vertex& | wrap (ClutterVertex* object)
const Clutter::Vertex& | wrap (const ClutterVertex* object)

## Constructor & Destructor Documentation

Clutter::Vertex::Vertex | ( |  | ) |

Clutter::Vertex::Vertex | ( | const ClutterVertex * | gobject | ) | `[explicit]`

Clutter::Vertex::Vertex | ( | float | x,
|  | float | y,
|  | float | z = `0` |
| ) |  |  |

## Member Function Documentation

float Clutter::Vertex::get_x | ( |  | ) | const

float Clutter::Vertex::get_y | ( |  | ) | const

float Clutter::Vertex::get_z | ( |  | ) | const

const ClutterVertex* Clutter::Vertex::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

ClutterVertex* Clutter::Vertex::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

void Clutter::Vertex::set_x | ( | const float & | value | ) |

void Clutter::Vertex::set_y | ( | const float & | value | ) |

void Clutter::Vertex::set_z | ( | const float & | value | ) |

## Friends And Related Function Documentation

Clutter::Vertex& wrap | ( | ClutterVertex * | object | ) | `[related]`

Parameters:

  | object | The C instance

Returns:
  A C++ instance that wraps this C instance.

const Clutter::Vertex& wrap | ( | const ClutterVertex * | object | ) | `[related]`

Parameters:

  | object | The C instance

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

ClutterVertex Clutter::Vertex::gobject_ `[protected]`

The documentation for this class was generated from the following file:

- cluttermm/types.h